*!*	function GetTZI && - API GetTimeZoneInformation
*!*	(c) VVK - Vladimir Knyr 23.04.2009 14:20
*!*	***********************************************
local fRez, TIME_ZONE_INFORMATION, Bias, NameTZI, SubBias, base
	
#define TIME_ZONE_ID_INVALID		-1
#define TIME_ZONE_ID_UNKNOWN		0
#define TIME_ZONE_ID_STANDARD		1
#define TIME_ZONE_ID_DAYLIGHT		2

declare integer GetTimeZoneInformation in kernel32.dll string @
m.TIME_ZONE_INFORMATION = REPLICATE(CHR(0), 172)
m.fRez = GetTimeZoneInformation(@m.TIME_ZONE_INFORMATION)
if inlist(m.fRez,TIME_ZONE_ID_STANDARD,TIME_ZONE_ID_DAYLIGHT)
	m.base = 5+(m.fRez-1)*84
	m.Bias = c2b(substr(m.TIME_ZONE_INFORMATION,1,4))
	m.NameTZI = strconv(substr(m.TIME_ZONE_INFORMATION,m.base,64),6)
	m.SubBias = c2b(substr(m.TIME_ZONE_INFORMATION,m.base + 80,4))
	m.fRez = int(-(m.Bias + m.SubBias)/60)
else
	m.NameTZI = ""
	m.fRez = 0
endif
clear dlls "GetTimeZoneInformation"
return m.fRez

Procedure C2B(m.str)
Local n, i
	m.n=0
	For m.i=Len(m.str) to 1 step -1
		m.n=BitLshift(m.n,8)+Asc(Substr(m.str,m.i,1))
	EndFor
Return m.n
