* function httpstatusresponse
lparameters statuscode
local cMessage
	m.cMessage = transform(m.statuscode) + ' is not determination'
do case
	case m.statuscode = 100 && HTTP_STATUS_CONTINUE
		m.cMessage = "The request can be continued."
	case m.statuscode = 101 && HTTP_STATUS_SWITCH_PROTOCOLS
		m.cMessage = "The server has switched protocols in an upgrade header."
	case m.statuscode = 200 && HTTP_STATUS_OK
		m.cMessage = "The request completed successfully."
	case m.statuscode = 201 && HTTP_STATUS_CREATED
		m.cMessage = "The request has been fulfilled and resulted in the creation of a new resource."
	case m.statuscode = 202 && HTTP_STATUS_ACCEPTED
		m.cMessage = "The request has been accepted for processing, but the processing has not been completed."
	case m.statuscode = 203 && HTTP_STATUS_PARTIAL
		m.cMessage = "The returned meta information in the entity-header is not the definitive set available from the origin server."
	case m.statuscode = 204 && HTTP_STATUS_NO_CONTENT
		m.cMessage = "The server has fulfilled the request, but there is no new information to send back."
	case m.statuscode = 205 && HTTP_STATUS_RESET_CONTENT
		m.cMessage = "The request has been completed, and the client program should reset the document view that caused the request to be sent to allow the user to easily initiate another input action."
	case m.statuscode = 206 && HTTP_STATUS_PARTIAL_CONTENT
		m.cMessage = "The server has fulfilled the partial GET request for the resource."
	case m.statuscode = 300 && HTTP_STATUS_AMBIGUOUS
		m.cMessage = "The server couldn't decide what to return."
	case m.statuscode = 301 && HTTP_STATUS_MOVED
		m.cMessage = "The requested resource has been assigned to a new permanent URI (Uniform Resource Identifier), and any future references to this resource should be done using one of the returned URIs."
	case m.statuscode = 302 && HTTP_STATUS_REDIRECT
		m.cMessage = "The requested resource resides temporarily under a different URI (Uniform Resource Identifier)."
	case m.statuscode = 303 && HTTP_STATUS_REDIRECT_METHOD
		m.cMessage = "The response to the request can be found under a different URI (Uniform Resource Identifier) and should be retrieved using a GET HTTP verb on that resource."
	case m.statuscode = 304 && HTTP_STATUS_NOT_MODIFIED
		m.cMessage = "The requested resource has not been modified."
	case m.statuscode = 305 && HTTP_STATUS_USE_PROXY
		m.cMessage = "The requested resource must be accessed through the proxy given by the location field."
	case m.statuscode = 307 && HTTP_STATUS_REDIRECT_KEEP_VERB
		m.cMessage = "The redirected request keeps the same HTTP verb. HTTP/1.1 behavior."
	case m.statuscode = 400 && HTTP_STATUS_BAD_REQUEST
		m.cMessage = "The request could not be processed by the server due to invalid syntax."
	case m.statuscode = 401 && HTTP_STATUS_DENIED
		m.cMessage = "The requested resource requires user authentication."
	case m.statuscode = 402 && HTTP_STATUS_PAYMENT_REQ
		m.cMessage = "Not currently implemented in the HTTP protocol."
	case m.statuscode = 403 && HTTP_STATUS_FORBIDDEN
		m.cMessage = "The server understood the request, but is refusing to fulfill it."
	case m.statuscode = 404 && HTTP_STATUS_NOT_FOUND
		m.cMessage = "The server has not found anything matching the requested URI (Uniform Resource Identifier)."
	case m.statuscode = 405 && HTTP_STATUS_BAD_METHOD
		m.cMessage = "The HTTP verb used is not allowed."
	case m.statuscode = 406 && HTTP_STATUS_NONE_ACCEPTABLE
		m.cMessage = "No responses acceptable to the client were found."
	case m.statuscode = 407 && HTTP_STATUS_PROXY_AUTH_REQ
		m.cMessage = "Proxy authentication required."
	case m.statuscode = 408 && HTTP_STATUS_REQUEST_TIMEOUT
		m.cMessage = "The server timed out waiting for the request."
	case m.statuscode = 409 && HTTP_STATUS_CONFLICT
		m.cMessage = "The request could not be completed due to a conflict with the current state of the resource. The user should resubmit with more information."
	case m.statuscode = 410 && HTTP_STATUS_GONE
		m.cMessage = "The requested resource is no longer available at the server, and no forwarding address is known."
	case m.statuscode = 411 && HTTP_STATUS_LENGTH_REQUIRED
		m.cMessage = "The server refuses to accept the request without a defined content length."
	case m.statuscode = 412 && HTTP_STATUS_PRECOND_FAILED
		m.cMessage = "The precondition given in one or more of the request header fields evaluated to false when it was tested on the server."
	case m.statuscode = 413 && HTTP_STATUS_REQUEST_TOO_LARGE
		m.cMessage = "The server is refusing to process a request because the request entity is larger than the server is willing or able to process."
	case m.statuscode = 414 && HTTP_STATUS_URI_TOO_LONG
		m.cMessage = "The server is refusing to service the request because the request URI (Uniform Resource Identifier) is longer than the server is willing to interpret."
	case m.statuscode = 415 && HTTP_STATUS_UNSUPPORTED_MEDIA
		m.cMessage = "The server is refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method."
	case m.statuscode = 449 && HTTP_STATUS_RETRY_WITH
		m.cMessage = "The request should be retried after doing the appropriate action."
	case m.statuscode = 500 && HTTP_STATUS_SERVER_ERROR
		m.cMessage = "The server encountered an unexpected condition that prevented it from fulfilling the request."
	case m.statuscode = 501 && HTTP_STATUS_NOT_SUPPORTED
		m.cMessage = "The server does not support the functionality required to fulfill the request."
	case m.statuscode = 502 && HTTP_STATUS_BAD_GATEWAY
		m.cMessage = "The server, while acting as a gateway or proxy, received an invalid response from the upstream server it accessed in attempting to fulfill the request."
	case m.statuscode = 503 && HTTP_STATUS_SERVICE_UNAVAIL
		m.cMessage = "The service is temporarily overloaded."
	case m.statuscode = 504 && HTTP_STATUS_GATEWAY_TIMEOUT
		m.cMessage = "The request was timed out waiting for a gateway."
	case m.statuscode = 505 && HTTP_STATUS_VERSION_NOT_SUP
		m.cMessage = "The server does not support, or refuses to support, the HTTP protocol version that was used in the request message."
endcase
return m.cMessage